API Search endpoints…⌘K

Approve Loan Application | Recover Loan Guarantee | Undo Loan Application Approval | Assign a Loan Officer | Unassign a Loan Officer | Reject Loan Application | Applicant Withdraws from Loan Application | Disburse Loan Disburse Loan To Savings Account | Undo Loan Disbursal

POST/lokta-lms/api/v1/loans/{loanId}

Approve Loan Application:
Mandatory Fields: approvedOnDate
Optional Fields: approvedLoanAmount and expectedDisbursementDate
Approves the loan application

Recover Loan Guarantee:
Recovers the loan guarantee

Undo Loan Application Approval:
Undoes the Loan Application Approval

Assign a Loan Officer:
Allows you to assign Loan Officer for existing Loan.

Unassign a Loan Officer:
Allows you to unassign the Loan Officer.

Reject Loan Application:
Mandatory Fields: rejectedOnDate
Allows you to reject the loan application

Applicant Withdraws from Loan Application:
Mandatory Fields: withdrawnOnDate
Allows the applicant to withdraw the loan application

Disburse Loan:
Mandatory Fields: actualDisbursementDate
Optional Fields: transactionAmount and fixedEmiAmount
Disburses the Loan

Disburse Loan To Savings Account:
Mandatory Fields: actualDisbursementDate
Optional Fields: transactionAmount and fixedEmiAmount
Disburses the loan to Saving Account

Undo Loan Disbursal:
Undoes the Loan Disbursal
Showing request and response for Assign a Loan Officer

Path parameters

loanIdpath · integer · int64 · required

loanId

Query parameters

commandquery · string · optional

command

Request body application/json

actualDisbursementDatestring · optional
adjustRepaymentDatestring · optional
approvedLoanAmountnumber · optional
approvedOnDatestring · optional
assignmentDatestring · optional
dateFormatstring · optional
disbursementDataarray of PostLoansLoanIdDisbursementData · optional

List of PostLoansLoanIdDisbursementData

expectedDisbursementDatestring · optional
externalIdstring · optional
fixedEmiAmountnumber · optional
fromLoanOfficerIdinteger · int64 · optional
localestring · optional
notestring · optional
paymentTypeIdinteger · int32 · optional
rejectedOnDatestring · optional
toLoanOfficerIdinteger · int64 · optional
transactionAmountnumber · optional
unassignedDatestring · optional
withdrawnOnDatestring · optional

Responses

200OK

Response fields

changesPostLoansLoanIdChanges · optional

PostLoansLoanIdChanges

clientIdinteger · int64 · optional
loanIdinteger · int64 · optional
officeIdinteger · int64 · optional
resourceExternalIdstring · optional
resourceIdinteger · int64 · optional
subResourceExternalIdstring · optional
subResourceIdinteger · int64 · optional

Every request authenticates with HTTP Basic and carries a Tenant-Identifier header. See the conventions for dates, commands, pagination and errors. Open this operation in the interactive explorer, or read it as Markdown.